[Swift-commit] r7469 - in trunk/tests: . bugs documentation/tutorial functions language/should-not-work language/working language-behaviour/IO language-behaviour/arrays language-behaviour/broken language-behaviour/cleanup language-behaviour/compounds language-behaviour/control_structures language-behaviour/datatypes language-behaviour/logic language-behaviour/mappers language-behaviour/math language-behaviour/params language-behaviour/procedures language-behaviour/strings language-behaviour/variables local

davidk at ci.uchicago.edu davidk at ci.uchicago.edu
Fri Jan 10 13:25:10 CST 2014


Author: davidk
Date: 2014-01-10 13:25:10 -0600 (Fri, 10 Jan 2014)
New Revision: 7469

Added:
   trunk/tests/bugs/swift.properties
   trunk/tests/documentation/tutorial/swift.properties
   trunk/tests/functions/swift.properties
   trunk/tests/language-behaviour/IO/swift.properties
   trunk/tests/language-behaviour/arrays/swift.properties
   trunk/tests/language-behaviour/broken/swift.properties
   trunk/tests/language-behaviour/cleanup/swift.properties
   trunk/tests/language-behaviour/compounds/swift.properties
   trunk/tests/language-behaviour/control_structures/swift.properties
   trunk/tests/language-behaviour/datatypes/swift.properties
   trunk/tests/language-behaviour/logic/swift.properties
   trunk/tests/language-behaviour/mappers/swift.properties
   trunk/tests/language-behaviour/math/swift.properties
   trunk/tests/language-behaviour/params/swift.properties
   trunk/tests/language-behaviour/procedures/swift.properties
   trunk/tests/language-behaviour/strings/swift.properties
   trunk/tests/language-behaviour/variables/swift.properties
   trunk/tests/language/should-not-work/swift.properties
   trunk/tests/language/working/swift.properties
   trunk/tests/local/swift.properties
Removed:
   trunk/tests/documentation/tutorial/tc.template.data
   trunk/tests/functions/tc.template.data
   trunk/tests/language-behaviour/mappers/tc.template.mix.data
   trunk/tests/language/working/tc.template.mix.data
   trunk/tests/local/tc.template.data
Modified:
   trunk/tests/functions/201-sprintf-k.check.sh
   trunk/tests/functions/202-sprintf-k-array.check.sh
   trunk/tests/suite.sh
Log:
Use new-style config for local site testing (group-all-local)


Added: trunk/tests/bugs/swift.properties
===================================================================
--- trunk/tests/bugs/swift.properties	                        (rev 0)
+++ trunk/tests/bugs/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/documentation/tutorial/swift.properties
===================================================================
--- trunk/tests/documentation/tutorial/swift.properties	                        (rev 0)
+++ trunk/tests/documentation/tutorial/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Deleted: trunk/tests/documentation/tutorial/tc.template.data
===================================================================
--- trunk/tests/documentation/tutorial/tc.template.data	2014-01-10 16:10:27 UTC (rev 7468)
+++ trunk/tests/documentation/tutorial/tc.template.data	2014-01-10 19:25:10 UTC (rev 7469)
@@ -1,23 +0,0 @@
-#This is the transformation catalog.
-#
-#It comes pre-configured with a number of simple transformations with
-#paths that are likely to work on a linux box. However, on some systems,
-#the paths to these executables will be different (for example, sometimes
-#some of these programs are found in /usr/bin rather than in /bin)
-#
-#NOTE WELL: fields in this file must be separated by tabs, not spaces; and
-#there must be no trailing whitespace at the end of each line.
-#
-# sitename  transformation  path   INSTALLED  platform  profiles
-localhost 	echo 		/bin/echo	INSTALLED	INTEL32::LINUX	null
-localhost	tr		/usr/bin/tr	INSTALLED	INTEL32::LINUX	null
-localhost 	cat 		/bin/cat	INSTALLED	INTEL32::LINUX	null
-localhost 	ls 		/bin/ls		INSTALLED	INTEL32::LINUX	null
-localhost 	grep 		/bin/grep	INSTALLED	INTEL32::LINUX	null
-localhost 	sort 		/bin/sort	INSTALLED	INTEL32::LINUX	null
-localhost 	paste 		/bin/paste	INSTALLED	INTEL32::LINUX	null
-localhost 	cp 		/bin/cp         INSTALLED	INTEL32::LINUX	null
-localhost	wc		/usr/bin/wc	INSTALLED	INTEL32::LINUX	null
-localhost	touch		/bin/touch	INSTALLED	INTEL32::LINUX	null
-localhost	sleep		/bin/sleep	INSTALLED	INTEL32::LINUX	null
-localhost	wcl		/tmp/wcl	INSTALLED	INTEL32::LINUX	null

Modified: trunk/tests/functions/201-sprintf-k.check.sh
===================================================================
--- trunk/tests/functions/201-sprintf-k.check.sh	2014-01-10 16:10:27 UTC (rev 7468)
+++ trunk/tests/functions/201-sprintf-k.check.sh	2014-01-10 19:25:10 UTC (rev 7469)
@@ -2,13 +2,7 @@
 
 set -x
 
-OUTPUT=$( cat 201-sprintf-k.stdout )
-[[ $? == 0 ]] || exit 1
-echo $OUTPUT grep "ready.*delayed"
-[[ $? == 0 ]] || exit 1
-
-OUTPUT=$( grep delayed: 201-sprintf-k.stdout | cut -d ' ' -f 2 )
-[[ $? == 0 ]] || exit 1
+OUTPUT=$( grep delayed: 201-sprintf-k.stdout | cut -d ' ' -f 2 | sort -n )
 [[ ${OUTPUT[@]} == "4 6 8 10 12" ]] || exit 1
 
 exit 0

Modified: trunk/tests/functions/202-sprintf-k-array.check.sh
===================================================================
--- trunk/tests/functions/202-sprintf-k-array.check.sh	2014-01-10 16:10:27 UTC (rev 7468)
+++ trunk/tests/functions/202-sprintf-k-array.check.sh	2014-01-10 19:25:10 UTC (rev 7469)
@@ -2,20 +2,7 @@
 
 set -x
 
-# Grab partial output
-OUTPUT=$( grep delayed: 202-sprintf-k-array.stdout | head -4 | cut -d ' ' -f 2 )
-[[ $? == 0 ]] || exit 1
+OUTPUT=$( grep delayed: 202-sprintf-k-array.stdout | cut -d ' ' -f 2 | sort -n )
+[[ ${OUTPUT[@]} == "array 4 6 8 10 12" ]] || exit 1
 
-# NOTE: we cannot guarantee that the "12" is before "array"
-
-# First four outputs are in order
-[[ ${OUTPUT[@]} == "4 6 8 10" ]] || exit 1
-
-# Grab whole output
-OUTPUT=$( grep delayed: 202-sprintf-k-array.stdout | cut -d ' ' -f 2 )
-
-# Output "10" is before "array"
-echo ${OUTPUT[@]} | grep "10.*array"
-[[ $? == 0 ]] || exit 1
-
 exit 0

Added: trunk/tests/functions/swift.properties
===================================================================
--- trunk/tests/functions/swift.properties	                        (rev 0)
+++ trunk/tests/functions/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,3 @@
+site=local
+sitedir.keep=true
+taskThrottle=12

Deleted: trunk/tests/functions/tc.template.data
===================================================================
--- trunk/tests/functions/tc.template.data	2014-01-10 16:10:27 UTC (rev 7468)
+++ trunk/tests/functions/tc.template.data	2014-01-10 19:25:10 UTC (rev 7469)
@@ -1,9 +0,0 @@
-# sitename      transformation  path            INSTALLED       platform        profiles
-localhost 	echo 		/bin/echo	INSTALLED	INTEL32::LINUX	null
-localhost 	cat 		/bin/cat	INSTALLED	INTEL32::LINUX	null
-localhost 	ls 		/bin/ls		INSTALLED	INTEL32::LINUX	null
-localhost 	grep 		/bin/grep	INSTALLED	INTEL32::LINUX	null
-localhost 	sort 		/bin/sort	INSTALLED	INTEL32::LINUX	null
-localhost 	paste 		/bin/paste	INSTALLED	INTEL32::LINUX	null
-localhost 	cp 		/bin/cp         INSTALLED	INTEL32::LINUX	null
-localhost 	sleep 		/bin/sleep      INSTALLED	INTEL32::LINUX	null

Added: trunk/tests/language/should-not-work/swift.properties
===================================================================
--- trunk/tests/language/should-not-work/swift.properties	                        (rev 0)
+++ trunk/tests/language/should-not-work/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language/working/swift.properties
===================================================================
--- trunk/tests/language/working/swift.properties	                        (rev 0)
+++ trunk/tests/language/working/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,8 @@
+site=local
+sitedir.keep=true
+app.local.generate=$GROUP/generate
+app.local.process=$GROUP/process
+app.local.combine=$GROUP/process
+app.local.echo=echo
+app.local.cat=cat
+app.local.wc=wc

Deleted: trunk/tests/language/working/tc.template.mix.data
===================================================================
--- trunk/tests/language/working/tc.template.mix.data	2014-01-10 16:10:27 UTC (rev 7468)
+++ trunk/tests/language/working/tc.template.mix.data	2014-01-10 19:25:10 UTC (rev 7469)
@@ -1,5 +0,0 @@
-
-localhost 	generate 		_DIR_/generate      INSTALLED	INTEL32::LINUX	null
-localhost 	process 		_DIR_/process       INSTALLED	INTEL32::LINUX	null
-localhost 	combine 		_DIR_/combine       INSTALLED	INTEL32::LINUX	null
-localhost	wc				/usr/bin/wc         INSTALLED	INTEL32::LINUX	null

Added: trunk/tests/language-behaviour/IO/swift.properties
===================================================================
--- trunk/tests/language-behaviour/IO/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/IO/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/arrays/swift.properties
===================================================================
--- trunk/tests/language-behaviour/arrays/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/arrays/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/broken/swift.properties
===================================================================
--- trunk/tests/language-behaviour/broken/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/broken/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/cleanup/swift.properties
===================================================================
--- trunk/tests/language-behaviour/cleanup/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/cleanup/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/compounds/swift.properties
===================================================================
--- trunk/tests/language-behaviour/compounds/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/compounds/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/control_structures/swift.properties
===================================================================
--- trunk/tests/language-behaviour/control_structures/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/control_structures/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/datatypes/swift.properties
===================================================================
--- trunk/tests/language-behaviour/datatypes/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/datatypes/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/logic/swift.properties
===================================================================
--- trunk/tests/language-behaviour/logic/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/logic/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/mappers/swift.properties
===================================================================
--- trunk/tests/language-behaviour/mappers/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/mappers/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,5 @@
+site=local
+sitedir.keep=true
+app.local.echo_sh=$GROUP/760-csv-mapper.sh
+app.local.echo=echo
+app.local.touch=touch

Deleted: trunk/tests/language-behaviour/mappers/tc.template.mix.data
===================================================================
--- trunk/tests/language-behaviour/mappers/tc.template.mix.data	2014-01-10 16:10:27 UTC (rev 7468)
+++ trunk/tests/language-behaviour/mappers/tc.template.mix.data	2014-01-10 19:25:10 UTC (rev 7469)
@@ -1,2 +0,0 @@
-
-localhost	echo_sh				_DIR_/760-csv-mapper.sh         INSTALLED	INTEL32::LINUX	null

Added: trunk/tests/language-behaviour/math/swift.properties
===================================================================
--- trunk/tests/language-behaviour/math/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/math/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/params/swift.properties
===================================================================
--- trunk/tests/language-behaviour/params/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/params/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/procedures/swift.properties
===================================================================
--- trunk/tests/language-behaviour/procedures/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/procedures/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/strings/swift.properties
===================================================================
--- trunk/tests/language-behaviour/strings/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/strings/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/language-behaviour/variables/swift.properties
===================================================================
--- trunk/tests/language-behaviour/variables/swift.properties	                        (rev 0)
+++ trunk/tests/language-behaviour/variables/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,2 @@
+site=local
+sitedir.keep=true

Added: trunk/tests/local/swift.properties
===================================================================
--- trunk/tests/local/swift.properties	                        (rev 0)
+++ trunk/tests/local/swift.properties	2014-01-10 19:25:10 UTC (rev 7469)
@@ -0,0 +1,5 @@
+site=local
+sitedir.keep=true
+app.local.append=$GROUP/append.sh
+app.local.echo=echo
+app.local.cat=cat

Deleted: trunk/tests/local/tc.template.data
===================================================================
--- trunk/tests/local/tc.template.data	2014-01-10 16:10:27 UTC (rev 7468)
+++ trunk/tests/local/tc.template.data	2014-01-10 19:25:10 UTC (rev 7469)
@@ -1,2 +0,0 @@
-* * * INSTALLED INTEL32::LINUX null
-localhost       append	_DIR_/append.sh INSTALLED	INTEL32::LINUX	null

Modified: trunk/tests/suite.sh
===================================================================
--- trunk/tests/suite.sh	2014-01-10 16:10:27 UTC (rev 7468)
+++ trunk/tests/suite.sh	2014-01-10 19:25:10 UTC (rev 7469)
@@ -120,11 +120,9 @@
 fi
 
 export STRESS="S$STRESS"
-if [ -x "$ENV_FILE" ]
+if [ -n "$ENV_FILE" ]
 then
-  source $ENV_FILE
-else
-  echo "Could not load $ENV_FILE"
+  source $ENV_FILE || echo "Could not load $ENV_FILE"
 fi
 
 # Iterations per test (may want to run each test multiple times?)
@@ -846,13 +844,7 @@
   TEST_SHOULD_FAIL=$(( ! $?  ))
 
   OUTPUT=$NAME.stdout
-  monitored_exec $TIMEOUT swift     \
-                       -wrapperlog.always.transfer true \
-                       -sitedir.keep true               \
-                       -config swift.properties         \
-                       -sites.file sites.xml            \
-                       -tc.file tc.data                 \
-                       $CDM $SWIFTSCRIPT $ARGS
+  monitored_exec $TIMEOUT swift $CDM $SWIFTSCRIPT $ARGS
 
   TEST_SHOULD_FAIL=0
   if [ -x "$GROUP/$CHECKSCRIPT" ]; then
@@ -981,53 +973,6 @@
   output_report package "swift-$DATE.tar.gz"
 }
 
-# Generate sites.xml
-group_sites_xml() {
-
-  # Determine template
-  if [ -f "$GROUP/sites.template.xml" ]; then
-     TEMPLATE="$GROUP/sites.template.xml"
-  elif [ -f "$GROUP/gensites.template" ]; then
-     TEMPLATE=$( cat $GROUP/gensites.template )
-  else
-     TEMPLATE="$TESTDIR/sites/local/sites.template.xml"
-  fi
-
-  # Give default to _WORK_ if undefined in swift.properties
-  if [ -z "$WORK" ]
-  then
-     export WORK=$PWD/swiftwork
-  fi
-
-  # Call gensites
-  TEMPLATE_DIRNAME=`dirname $TEMPLATE`
-  TEMPLATE=`basename $TEMPLATE`
-  gensites -L $TEMPLATE_DIRNAME $TEMPLATE > sites.xml 2>&1
-}
-
-# Generate tc.data
-group_tc_data() {
-
-  # Gensites will create a tc.data file if it is being used
-  if [ -f "$GROUP/gensites.template" ]; then
-     return
-  fi
-
-  if [ -f $GROUP/tc.template.data ]; then
-    sed "s at _DIR_@$GROUP@" < $GROUP/tc.template.data > tc.data
-    [ $? != 0 ] && crash "Could not create tc.data!"
-    echo "Using: $GROUP/tc.template.data"
-  else
-    cp -v $SWIFT_HOME/etc/tc.data .
-    [ $? != 0 ] && crash "Could not copy tc.data!"
-  fi
-  if [ -f $GROUP/tc.template.mix.data ]; then
-    sed "s at _DIR_@$GROUP@" < $GROUP/tc.template.mix.data >> tc.data
-    [ $? != 0 ] && crash "Could not create tc.data!"
-    echo "Mixing: $GROUP/tc.template.mix.data"
-  fi
-}
-
 # Generate the CDM file, fs.data
 group_fs_data() {
   if [ -f $GROUP/fs.template.data ]; then
@@ -1044,9 +989,6 @@
   if [ -f $GROUP/swift.properties ]; then
     cp -v $GROUP/swift.properties .
     [ $? != 0 ] && crash "Could not copy swift.properties!"
-  else
-    cp -v $SWIFT_HOME/etc/swift.properties .
-    [ $? != 0 ] && crash "Could not copy swift.properties!"
   fi
 }
 
@@ -1130,8 +1072,6 @@
       pushd $TESTNAMEDIR > /dev/null 2>&1
       cp $TEST .    
       group_swift_properties
-      group_sites_xml
-      group_tc_data
       group_fs_data      
       start_row
       swift_test_case $TESTNAME




More information about the Swift-commit mailing list